<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Comment extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('comment_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['comment'] = $this->comment_model->selectAllJoin();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('comment_view_index', $data);
		$this->load->view('view_footer','');
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('comment_view_add');
		$this->load->view('view_footer','');
    }

    function _add_process() {
        $data = new stdClass();
		$data->detail = $this->input->post('detail');
$data->content_id = $this->input->post('content_id');

        $id = $this->comment_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['detail'] = $this->input->post('detail');
$data['content_id'] = $this->input->post('content_id');

        $q = $this->comment_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->comment_model->delete($id);

        if ($q) {
            redirect("comment/index");
        } else {
            echo "deleting fail";
            redirect("comment/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->comment_model->getJoinByID($id);
		$data['comment'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('comment_view_detail', $data);
		$this->load->view('view_footer','');
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->comment_model->getByID($id);
        $data['comment'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('comment_view_edit', $data);
		$this->load->view('view_footer','');
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('detail','detail','');
$this->form_validation->set_rules('content_id','content_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('detail','detail','');
$this->form_validation->set_rules('content_id','content_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }
	
	function content_dropdown() {									
		if (isset($_POST['data'])) {								            
			$id = $_POST['data'];										            
			$this->load->model('content_model');			            
			$q = $this->content_model->getDropDownData();	            
			echo '<option value="0">- content -</option>';	            
			foreach ($q as $row) {									            
				$val = $row['id'];									            
				$label = $row['label'];		
				if ($val == $id) {
					echo '<option value="' . $val . '" selected="selected">' . $label . ' </option>';	
				} else {
					echo '<option value="' . $val . '">' . $label . ' </option>';	
				}
				 
			}																	
		} else {
			show_404('page');
		}
	}


	
}
?>