<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Social_network extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('social_network_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['social_network'] = $this->social_network_model->selectAllJoin();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('social_network_view_index', $data);
		$this->load->view('view_footer','');
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('social_network_view_add');
		$this->load->view('view_footer','');
    }

    function _add_process() {
        $data = new stdClass();
		$data->type = $this->input->post('type');
$data->social_uname = $this->input->post('social_uname');
$data->token = $this->input->post('token');
$data->session = $this->input->post('session');
$data->user_id = $this->input->post('user_id');

        $id = $this->social_network_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['type'] = $this->input->post('type');
$data['social_uname'] = $this->input->post('social_uname');
$data['token'] = $this->input->post('token');
$data['session'] = $this->input->post('session');
$data['user_id'] = $this->input->post('user_id');

        $q = $this->social_network_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->social_network_model->delete($id);

        if ($q) {
            redirect("social_network/index");
        } else {
            echo "deleting fail";
            redirect("social_network/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->social_network_model->getJoinByID($id);
		$data['social_network'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('social_network_view_detail', $data);
		$this->load->view('view_footer','');
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->social_network_model->getByID($id);
        $data['social_network'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('social_network_view_edit', $data);
		$this->load->view('view_footer','');
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('type','type','');
$this->form_validation->set_rules('social_uname','social_uname','max_length[45]');
$this->form_validation->set_rules('token','token','');
$this->form_validation->set_rules('session','session','');
$this->form_validation->set_rules('user_id','user_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('type','type','');
$this->form_validation->set_rules('social_uname','social_uname','max_length[45]');
$this->form_validation->set_rules('token','token','');
$this->form_validation->set_rules('session','session','');
$this->form_validation->set_rules('user_id','user_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }
	
	function user_dropdown() {									
		if (isset($_POST['data'])) {								            
			$id = $_POST['data'];										            
			$this->load->model('user_model');			            
			$q = $this->user_model->getDropDownData();	            
			echo '<option value="0">- user -</option>';	            
			foreach ($q as $row) {									            
				$val = $row['id'];									            
				$label = $row['label'];		
				if ($val == $id) {
					echo '<option value="' . $val . '" selected="selected">' . $label . ' </option>';	
				} else {
					echo '<option value="' . $val . '">' . $label . ' </option>';	
				}
				 
			}																	
		} else {
			show_404('page');
		}
	}


	
}
?>