<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Type extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('type_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['type'] = $this->type_model->selectAll();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('type_view_index', $data);
		$this->load->view('view_footer','');
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('type_view_add');
		$this->load->view('view_footer','');
    }

    function _add_process() {
        $data = new stdClass();
		$data->name = $this->input->post('name');

        $id = $this->type_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['name'] = $this->input->post('name');

        $q = $this->type_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->type_model->delete($id);

        if ($q) {
            redirect("type/index");
        } else {
            echo "deleting fail";
            redirect("type/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->type_model->getByID($id);
		$data['type'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('type_view_detail', $data);
		$this->load->view('view_footer','');
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->type_model->getByID($id);
        $data['type'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('type_view_edit', $data);
		$this->load->view('view_footer','');
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('name','name','max_length[45]');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('name','name','max_length[45]');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }
	

	
}
?>