<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class User extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('user_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['user'] = $this->user_model->selectAll();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('user_view_index', $data);
		$this->load->view('view_footer','');
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('user_view_add');
		$this->load->view('view_footer','');
    }

    function _add_process() {
        $data = new stdClass();
		$data->username = $this->input->post('username');
$data->password = $this->input->post('password');
$data->email = $this->input->post('email');
$data->picture = $this->input->post('picture');
if ($this->input->post('is_active') == true) {
					$data->is_active = 1;
				} else {
					$data->is_active = 0;
				}

        $id = $this->user_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['username'] = $this->input->post('username');
$data['password'] = $this->input->post('password');
$data['email'] = $this->input->post('email');
$data['picture'] = $this->input->post('picture');
$data['is_active'] = $this->input->post('is_active');

        $q = $this->user_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->user_model->delete($id);

        if ($q) {
            redirect("user/index");
        } else {
            echo "deleting fail";
            redirect("user/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->user_model->getByID($id);
		$data['user'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('user_view_detail', $data);
		$this->load->view('view_footer','');
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->user_model->getByID($id);
        $data['user'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('user_view_edit', $data);
		$this->load->view('view_footer','');
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('username','username','required|max_length[45]');
$this->form_validation->set_rules('password','password','required|max_length[255]');
$this->form_validation->set_rules('email','email','required|max_length[45]');
$this->form_validation->set_rules('picture','picture','max_length[45]');
$this->form_validation->set_rules('is_active','is_active','');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('username','username','required|max_length[45]');
$this->form_validation->set_rules('password','password','required|max_length[255]');
$this->form_validation->set_rules('email','email','required|max_length[45]');
$this->form_validation->set_rules('picture','picture','max_length[45]');
$this->form_validation->set_rules('is_active','is_active','');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }
	

	
}
?>