<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */

class Comment_model extends Model {

    var $table = 'comment';

    function  __construct() {
        parent::Model();
    }

    function insert($vo) {
        $q = $this->db->insert($this->table, $vo);
        if ($q) {
            return $this->db->insert_id();
        } else {
            return 0;
        }
    }

    function update($vo,$id) {
        $this->db->where('id', $id);
        $id = $this->db->update($this->table, $vo);
        if ($id > 0) {
            return $id;
        } else {
            return 0;
        }
    }

    function delete($id) {
        if ($this->db->delete($this->table, "id = ". $id)) {
            return true;
        } else {
            return false;
        }
    }

    function getByID($id) {
        $this->db->where('id',$id);
        $q = $this->db->get($this->table);

        if ($q->num_rows() > 0) {
            return $q->result_array();
        } else {
            return 'no data';
        }
    }
    
	function getJoinByID($id) {
        $q = $this->db->query(" select comment.id,comment.detail,content.detail as content from comment,content where 1  and comment.content_id=content.id and comment.id = $id");
 

        if ($q->num_rows() > 0) {
            return $q->result_array();
        } else {
            return 'no data';
        }
    }
	
	function getDropDownData() {
		$q = $this->db->query("select id, detail as label from ".$this->table);
		if ($q->num_rows() > 0) {
            return $q->result_array();
        } else {
			return;
		}
	}

    function selectAll() {
        $q = $this->db->get($this->table);
        if ($q->num_rows() > 0) {
            return $q->result_array();
        } else {
            return 'no data';
        }
    }
	
	function selectAllJoin() {
		$q = $this->db->query(" select comment.id,comment.detail,content.detail as content from comment,content where 1  and comment.content_id=content.id");
		if ($q->num_rows() > 0) {
            return $q->result_array();
        } else {
            return 'no data';
        }
	}
}
?>